; Flash Dance christmas demo
; Tognon Stefano
; (c) 2003 Ice Team
;
; dasm source code
;

 processor 6502
 ;org 2049
 ;org $800

 ;=================================
 ; BASIC startup program
 ;=================================
 ;dc.b $0b,$08,$e8,$03,$9e,"2061",0,0,0
 ;org 2061
 
 ;jmp  start

SCREEN     = $E544    ; clean the screen
SET_COOR   = $E50C    ; set x/y coord
PUT_CHAR   = $E716    ; put a char in the screen
STRING     = $AB1E    ; put a string

PMOB0      = $47F8    ; pointer mob 0
PMOB1      = $47F9    ; pointer mob 1
PMOB2      = $47FA    ; pointer mob 2
PMOB3      = $47FB    ; pointer mob 3
PMOB4      = $47FC    ; pointer mob 4
PMOB5      = $47FD    ; pointer mob 5
PMOB6      = $47FE    ; pointer mob 6
PMOB7      = $47FF    ; pointer mob 7

DELAY2     = $8A      ; delay = actual number of interrupt to delay for raster 2
DELAY1     = $8B      ; delay = actual number of interrupt to delay for raster 1

MAX_DELAY2 = 5        ; max number of rasters interrupt for delay of raster 2
MAX_DELAY1 = 5        ; max number of rasters interrupt for delay of raster 1

FIRE_MAX   = 1        ; max number of sprites for fire animations 

POINT_LOW  = 5        ; low sprite pointer for first animation
POINT_HIGH = 15       ; high sprite pointer for second animation

SCREEN     = $E544    ; clean the screen
STRING     = $AB1E    ; put a string
SET_COOR   = $E50C    ; set x/y coord
KSCAN      = $FF9F    ; keyboard scan
GETIN      = $FFE4    ; get char
POSX      = 35      ; x pos of sprites
POSY      = 60      ; y pos of sprites
POSXX     = 32
STEP      = 240

RAS1      = 97
RAS2      = 193

      mac write
      ldx  {1}
      ldy  {1}+1
      jsr  SET_COOR
      lda  #<({1}+2)
      ldy  #>({1}+2)
      jsr  STRING
      endm


  .org $840
  
mob_IC:
  .byte 170, 0, 0, 170, 16, 0, 40, 16, 0
  .byte 40, 80, 0, 40, 80, 243, 40, 67, 255
  .byte 40, 79, 255, 40, 79, 15, 40, 79, 16
  .byte 40, 79, 17, 40, 79, 16, 40, 79, 16
  .byte 40, 79, 0, 40, 79, 207, 40, 79, 255
  .byte 40, 67, 255, 170, 0, 255, 170, 17, 0
  .byte 0, 16, 85, 21, 80, 21, 5, 80, 0, 0

mob_E:
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 0, 0, 0, 0, 40, 0, 64, 170, 16
  .byte 18, 170, 132, 18, 128, 132, 18, 132, 132
  .byte 66, 128, 132, 2, 170, 132, 2, 170, 132
  .byte 2, 128, 20, 2, 132, 128, 18, 128, 132
  .byte 16, 170, 132, 16, 42, 4, 64, 64, 16
  .byte 64, 21, 80, 0, 5, 64, 0, 0, 0, 0

mob_TEAM:
  .byte 228, 200, 0, 74, 47, 128, 78, 106, 128
  .byte 72, 170, 128, 76, 234, 128, 0, 0, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
  
  
start:  
                                  ; init logo sprites
      ldx  #13                    ; light green
      stx  $D026                  ; mob multicolor 1
      inx
      stx  $D027                  ; mob 0 color
      stx  $D02A                  ; mob 3 color
      inx
      stx  $D025                  ; mob multi color 0
      stx  $D029                  ; mob 2 color
      stx  $D02C                  ; mob 5 color

      ldx  #$1B                   ; set 0,1 and 3,4 as multicolor
      stx  $D01C
      ldx  #02
      stx  $D028                  ; red color for mob 1
      stx  $D02B
                                  ; insert sprite pointer to $840
      ldx  #33
      stx  2040
      stx  2043
      inx
      stx  2041
      stx  2044
      inx
      stx  2042
      stx  2045

                                   ; set x position of sprites
      ldx  #POSX
      stx  $D000
      ldx  #POSX+24
      stx  $D002
      ldx  #POSX+21
      stx  $D004

      ldx  #$38                    ; MSB of position
      stx  $D010

      ldx  #POSXX
      stx  $D006
      ldx  #POSXX+24
      stx  $D008
      ldx  #POSXX+21
      stx  $D00A

      ldy  #POSY
      sty  $D001
      sty  $D003
      sty  $D007
      sty  $D009
      dey
      dey
      sty  $D005
      sty  $D00b
                                  ; init screen color
      jsr  SCREEN
      lda  #3
      sta  53280
                                       ; show sprites
      lda  #$3F
      sta  $D015
          
      write str1
      write str2

                                      ; copy color to screen coord
      ldx #39
iscr1:

N     SET  0
      REPEAT 12
      lda  s2+N*40,x
      sta  $400+STEP+N*40,x
      lda  s1+N*40,x
      sta  $d800+STEP+N*40,x
N     SET  N+1
      REPEND
      dex
      bmi iscrdone1
      jmp iscr1
iscrdone1:     

      sei                
      lda #<raster3
      sta $0314
      lda #>raster3
      sta $0315
      lda #RAS1                   ;Set low bits of raster
      sta $d012                   ;position
      lda #$7f                    ;Set timer interrupt off
      sta $dc0d
      lda #$01                    ;Set raster interrupt on
      sta $d01a
      lda $dc0d                   ;Acknowledge timer interrupt
      cli 
            
loop:
      jsr  KSCAN
      jsr  GETIN
      cmp  #0
      beq  loop


enableGraphics:                   ; set pointer for graphics data
      lda  $d018
      ora  #$08
      and  #$f8
      sta  $d018
                                  ; enable hires bitmap mode
      lda  $d011
      ora  #$20
      sta  $d011
      lda  $d016
      and  #$EF
      sta  $d016
      
                                  ; enable bank 1
      lda  $dd02
      ora  #$03
      sta  $dd02
      lda  $dd00
      and  #$fc 
      ora  #$02
      sta  $dd00                                  
                            
      lda  #0                     ; border color
      sta  53280


      lda  #0                     ; mob 0 pointer for fire 
      sta  STP0
      
      lda  #2                     ; mob 1 pointer for LX/DN lights      
      sta  STP1
      
      lda  #3                     ; mob 2 pointer for RX/DN lights      
      sta  STP2      
      
      lda  #4                     ; mob 3 pointer for LX/UP lights      
      sta  STP3  
      
      lda  #32                     ; mob 4 pointer for RX/UP lights      
      sta  STP4              
                       
      lda  #6
      sta  ACTSP
      sta  SMP0           
      sta  SMP1
      sta  SMP2
      sta  SMP3
      sta  SMP4           
      sta  SMP5
      sta  SMP6
      sta  SMP7
                        
      lda  #MAX_DELAY2
      sta  DELAY2 
      
      lda  #MAX_DELAY1
      sta  DELAY1 
      
      lda  #$00
      jsr  $1000                  ; init music
      
initraster:     
      sei                
      lda #<raster1
      sta $0314
      lda #>raster1
      sta $0315
      lda #0                      ;Set low bits of raster
      sta $d012                   ;position
      lda #$7f                    ;Set timer interrupt off
      sta $dc0d
      lda #$01                    ;Set raster interrupt on
      sta $d01a
      lda $dc0d                   ;Acknowledge timer interrupt
      cli      
      
aaa:  
      jmp aaa
      
      
; show FD graphics      
raster3:
      ldx  #6
loopDel:      
      nop
      dex
      bne  loopDel

      lda  #<raster4
      sta  $0314
      lda  #>raster4
      sta  $0315
      lda  #RAS2                  ;Set low bits of raster
      sta  $d012                  ;position 
             
                                  ; set pointer for graphics data
      lda  $d018
      ora  #$08
      and  #$f8
      sta  $d018
                                  ; enable multicolor bitmap mode
      lda  $d011
      ora  #$20
      sta  $d011
      lda  $d016
      ora  #$10
      sta  $d016    
      
      lda  s4
      sta  53281         
       
      
      dec  $d019
      jmp  $ea31             
 
; restore normal graphics           
raster4:
      lda  #1
      sta  53281

      lda  #<raster3
      sta  $0314
      lda  #>raster3
      sta  $0315
      lda  #RAS1                  ;Set low bits of raster
      sta  $d012                  ;position  
      
                                  ; set pointer for normal data
      lda  #21      
      sta  $d018      
      lda  #27
      sta  $d011
      lda  #200
      sta  $d016
      
      dec  $d019
      jmp  $ea31        
      
; raster in high part of the screen:
; play sound, and made snow animation     
raster1:        
      jsr  $1003                  ;Play music 
      
      lda  #<raster2
      sta  $0314
      lda  #>raster2
      sta  $0315
      lda  #160                   ;Set low bits of raster
      sta  $d012                  ;position           
               
      lda  #$FF                   ; enable sprite
      sta  $D015 
      
      lda  #1
      sta  $D027                  ; primary color mob 0
      sta  $D028                  ; primary color mob 1
      sta  $D029                  ; primary color mob 2
      sta  $D02A                  ; primary color mob 3
      sta  $D02B                  ; primary color mob 4
      sta  $D02C                  ; primary color mob 5
      sta  $D02D                  ; primary color mob 6
      sta  $D02E                  ; primary color mob 7                              

      lda  #0
      sta  $D01C                  ; no multicolor 
      
      lda  #$F0                     
      sta  $D010                  ; half msb of x
      
      lda  #$FF                   ; below graphics
      sta  $D01B
      
      
      lda  SMP0                   ; restore mob pointer
      sta  PMOB0
      lda  SMP1
      sta  PMOB1
      lda  SMP2
      sta  PMOB2
      lda  SMP3
      sta  PMOB3  
      
      lda  SMP4                   ; restore mob pointer
      sta  PMOB4
      lda  SMP5
      sta  PMOB5
      lda  SMP6
      sta  PMOB6
      lda  SMP7
      sta  PMOB7                    
      
      lda  #255                   ; set x pos
      sta  $D000      
      sta  $D002      
      sta  $D004
      sta  $D006
      
      lda  #32
      sta  $D008      
      sta  $D00A      
      sta  $D00C
      sta  $D00E      
      
      lda  #62                   ; set y pos 
      sta  $D001 
      sta  $D009     
      lda  #83
      sta  $D003
      sta  $D00B      
      lda  #104
      sta  $D005
      sta  $D00D
      lda  #125
      sta  $D007
      sta  $D00F
      
      dec  DELAY1
      beq  execute1
      jmp  exitIrq
      
execute1:
      lda  #MAX_DELAY1
      sta  DELAY1      
      
      
      ; calculate next sprites pointer
      lda  ACTSP
      inc  ACTSP
      cmp  #POINT_HIGH 
      bne  skipFix
      
      lda  #POINT_LOW
      sta  ACTSP
skipFix:
      lda  ACTSP
      sta  SMP0
      sta  SMP1
      sta  SMP2
      sta  SMP3
      sta  SMP4
      sta  SMP5      
      sta  SMP6
      sta  SMP7
                         
exitIrq:
      dec  $d019
      jmp  $ea31    
      
      
; raster in low part of the screen:
; made fire and lights animations
      
raster2:
      lda  #<raster1
      sta  $0314
      lda  #>raster1
      sta  $0315
      lda  #0                     ;Set low bits of raster
      sta  $d012                  ;position         
      

      lda  #31                    ; enable sprite
      sta  $D015       
      
      lda  #$00                   ; over graphics
      sta  $D01B
      
      ; init sprite 0 (fire) settings
      ; =========                                  
      lda  #2
      sta  $D027                  ; primary color mob 0
      lda  #7
      sta  $D026                  ; multicolor 1
      
      lda  #1
      sta  $D01C                  ; mob 0 is multicolor                       
                                  ; set position of fire sprite
      lda  #90
      sta  $D000                  ; mob 0 x
      lda  #192
      sta  $D001                  ; mob 0 y                                                                       
      
      lda  STP0                   ; restore sprite pointer for fire
      sta  PMOB0
      ; =========
      
      
      ; init spite 1 (LX/DN lights) settings
      ; =========
      ;lda  #2
      ;sta  $D028                  ; primary color mob 1
                                  ; set position of LX/DN lights
      lda  #24
      sta  $D002                  ; mob 1 x
      
      lda  $D010                  ; set high bit of mob 1
      ora  #$02
      sta  $D010
      
      lda  #197
      sta  $D003                  ; mob 1 y      
                                  
      lda  STP1                   ; restore sprite pointer for LX/DN lights
      sta  PMOB1
      ; =========
      
      
      ; init spite 2 (RX/DN lights) settings
      ; =========
      ;lda  #2
      ;lda  $D029                  ; primary color mob 2
                                  ; set position of RX/DN lights
      lda  #48
      sta  $D004                  ; mob 2 x
      
      lda  $D010                  ; set high bit of mob 2
      ora  #$04
      sta  $D010
      
      lda  #197
      sta  $D005                  ; mob 2 y      
                                  
      lda  STP2                   ; restore sprite pointer for RX/DN lights
      sta  PMOB2
      ; =========     
      
      
      ; init spite 3 (LX/UP lights) settings
      ; =========
                                  ; set position of LX/UP lights
      lda  #24
      sta  $D006                  ; mob 3 x
      
      lda  $D010                  ; set high bit of mob 3
      ora  #$08
      sta  $D010
      
      lda  #176
      sta  $D007                  ; mob 3 y      
                                  
      lda  STP3                   ; restore sprite pointer for LX/UP lights
      sta  PMOB3
      ; =========      
       
      
      ; init spite 4 (DX/UP lights) settings
      ; =========
                                  ; set position of LX/UP lights
      lda  #48
      sta  $D008                  ; mob 4 x
      
      lda  $D010                  ; set high bit of mob 4
      ora  #$10
      sta  $D010
      
      lda  #176
      sta  $D009                  ; mob 4 y      
                                  
      lda  STP4                   ; restore sprite pointer for DX/UP lights
      sta  PMOB4
      ; ========= 
      
            
      dec  DELAY2
      beq  execute
      jmp  exitIrq
      
execute:
      lda  #MAX_DELAY2
      sta  DELAY2      
      
      
      
      lda  PMOB0                  ; read stored pointer of actual sprite
      cmp  #FIRE_MAX
      bne  incFire
      
      lda  #$FF
      sta  PMOB0
incFire:
      inc  PMOB0
      lda  PMOB0
      sta  STP0                   ; remember the new value 
      
                                  ; cycle color for lights      
loopInc:      
      inc  STCOL
      lda  STCOL  
      and  #$0F    
      cmp  #1                     ; skip white color
      beq  loopInc
      cmp  #5                     ; skip green color
      beq  loopInc
      cmp  #13                    ; skip light green 
      beq  loopInc               
      
      sta  STCOL
      sta  $D028                  ; primary color mob 1       
      sta  $D029                  ; primary color mob 2   
      sta  $D02A                  ; primary color mob 3 
      sta  $D02B                  ; primary color mob 4             
      
      jmp  exitIrq
      
STP0: .byte $00                   ; stored mob pointer for sprite 0    
STP1: .byte $00                   ; stored mob pointer for sprite 1      
STP2: .byte $00                   ; stored mob pointer for sprite 2 
STP3: .byte $00                   ; stored mob pointer for sprite 3 
STP4: .byte $00                   ; stored mob pointer for sprite 4 
    
SMP0: .byte $00                   ; stored mob pointer for sprite 0    
SMP1: .byte $00                   ; stored mob pointer for sprite 1      
SMP2: .byte $00                   ; stored mob pointer for sprite 2 
SMP3: .byte $00                   ; stored mob pointer for sprite 3 
SMP4: .byte $00                   ; stored mob pointer for sprite 4 
SMP5: .byte $00                   ; stored mob pointer for sprite 5
SMP6: .byte $00                   ; stored mob pointer for sprite 6      
SMP7: .byte $00                   ; stored mob pointer for sprite 7 
  
STCOL:  .byte $00                 ; stored color for lights mobs

ACTSP:  .byte $00                 ; actual sprite pointer for snow
    
  
 org $1000  
 
 incbin "music.bin"
 
 
str1: .byte 2, 16, "PRESENT",0
str2: .byte 21, 6, "A VERY SHORT CHRISTMAS DEMO 2",0 

 org $2000+STEP*8
 .incbin "bb3.raw"
s2:
 .incbin "bb2.raw"
s1:
 .incbin "bb1.raw"
s4:
 .incbin "bb4.raw"

  
 ; sprite definition
 org $4000

 
; fire 0
  .byte 0, 32, 0, 0, 184, 0, 2, 254, 0
  .byte 2, 254, 0, 11, 238, 0, 11, 239, 128
  .byte 11, 255, 128, 47, 239, 224, 47, 187, 224
  .byte 47, 190, 224, 47, 187, 224, 191, 238, 248
  .byte 191, 238, 248, 191, 190, 248, 191, 190, 248
  .byte 191, 235, 248, 47, 255, 224, 47, 255, 224
  .byte 47, 239, 224, 11, 139, 128, 2, 2, 0, 0 
  
; fire 1  
  .byte 0, 32, 0, 0, 184, 0, 2, 248, 0 
  .byte 2, 254, 0, 11, 238, 0, 11, 239, 128
  .byte 11, 255, 128, 47, 191, 224, 46, 239, 224
  .byte 46, 251, 224, 46, 239, 224, 191, 187, 248
  .byte 191, 187, 248, 46, 254, 248, 46, 251, 248 
  .byte 47, 175, 248, 47, 255, 224, 47, 255, 224
  .byte 11, 225, 128, 10, 254, 0, 0, 168, 0, 0 
        
; left down lights
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 0, 2, 0, 0, 128, 0, 16, 2, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0
  .byte 8, 0, 0, 0, 0, 16, 0, 36, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 2,0
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0   
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
  
; right down lights
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0 
  .byte 0, 64, 0, 0, 1, 0, 0, 64, 8
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0 
  .byte 0, 0, 16, 8, 0, 0, 0, 36, 0
  .byte 0, 0, 0, 0, 0, 0, 0, 64, 0   
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0   
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  
  
; left up lights
  .byte 0, 0, 0, 0, 0, 0, 0, 0, 32
  .byte 0, 1, 0, 0, 0, 0, 0, 4, 0      
  .byte 0, 0, 0, 0, 0, 0, 2, 16, 128
  .byte 0, 0, 0, 16, 2, 0, 0, 0, 0   
  .byte 0, 0, 0, 0, 0, 16, 8, 0, 0  
  .byte 0, 64, 0, 2, 0, 128, 0, 0, 0
  .byte 0, 8, 0, 4, 0, 64, 0, 0, 0, 0  
  
; 6: snow 1-1
  .byte 0, 0, 0, 48, 12, 0, 49, 140, 96
  .byte 1, 128, 96, 0, 0, 0, 0, 0, 6
  .byte 24, 48, 6, 24, 48, 192, 0, 0, 192
  .byte 0, 0, 0, 3, 0, 3, 3, 0, 3
  .byte 48, 24, 192, 48, 24, 192, 0, 0, 0
  .byte 0, 0, 0, 6, 0, 0, 6, 0, 12
  .byte 0, 6, 12, 0, 6, 0, 0, 0, 0, 0
 
; 7: snow 1-2
  .byte 0, 6, 0, 0, 0, 0, 0, 0, 0  
  .byte 48, 12, 0, 49, 140, 48, 1, 128, 48
  .byte 0, 0, 0, 0, 0, 6, 12, 48, 6
  .byte 12, 48, 192, 0, 0, 192, 0, 0, 0
  .byte 3, 0, 3, 3, 0, 3, 48, 24, 96
  .byte 48, 24,96, 0, 0, 0, 0, 0, 0
  .byte 12, 0, 0, 12, 0, 12, 0, 6, 12, 0
  
 ; 8: snow 3-1 
  .byte 12, 0, 12, 0, 12, 12, 0, 12, 0
  .byte 0, 0, 0,0, 0, 0, 48, 6, 0
  .byte 49, 134, 48, 1, 128, 48, 0, 0, 0
  .byte 0, 0, 6, 12, 24, 6, 12, 24, 192
  .byte 0, 0, 192, 0, 0, 0, 3, 0, 3
  .byte 3, 0, 3, 48, 24, 96, 48, 24, 96
  .byte 0, 0, 0, 0, 0, 0, 12, 0, 0, 0  

; 9: snow 4-1
  .byte 0, 0, 0, 12, 0, 0, 12, 0, 24
  .byte 0, 24, 24, 0, 24, 0, 0, 0, 0
  .byte 0, 0, 0, 48, 6, 0, 49, 134, 48
  .byte 1, 128, 48, 0, 0, 0, 0, 0, 6
  .byte 24, 24, 6, 24, 24, 96, 0, 0, 96
  .byte 0, 0, 0, 3, 0, 3, 3, 0, 3
  .byte 48, 24, 96, 48, 24, 96, 0, 0, 0, 0
  
; 10: snow 5-1
  .byte 48, 24, 96, 0, 0, 0, 0, 0, 0
  .byte 12, 0, 0, 12, 0, 48, 0, 24, 48
  .byte 0, 24, 0, 0, 0, 0, 0, 0, 0
  .byte 48, 6, 0, 49, 134, 48, 1, 128, 48
  .byte 0, 0, 0, 0, 0, 6, 12, 12, 6
  .byte 12, 12, 96, 0, 0, 96, 0, 0, 0
  .byte 3, 0, 3, 3, 0, 3, 48, 24, 96, 0

; 11: snow 6-1
  .byte 3, 0, 3, 48, 24, 96, 48, 24,96
  .byte 0, 0, 0, 0, 0, 0, 6, 0, 0
  .byte 6, 0, 24, 0, 24, 24, 0, 24, 0
  .byte 0, 0, 0, 0, 0, 0, 48, 6, 0
  .byte 49, 134, 48, 1, 128, 48, 0, 0, 0
  .byte 0, 0, 6, 12, 12, 6, 12, 12, 96
  .byte 0, 0, 96, 0, 0, 0, 3, 0, 3, 0

; 12: snow 7-1
  .byte 0, 0, 0, 3, 0, 3, 3, 0, 3
  .byte 48, 24, 96, 48, 24, 96, 0, 0, 0
  .byte 0, 0, 0, 12, 0, 0, 12, 0, 12
  .byte 0, 24, 12, 0, 24, 0, 0, 0, 0
  .byte 0, 0, 0, 48, 6, 0, 48, 198, 48
  .byte 0, 192, 48, 0, 0, 0, 0, 0, 6
  .byte 12, 12, 6, 12, 12, 96, 0, 0, 96, 0

; 13: snow 8-1
  .byte 12, 12, 96, 0, 0, 96, 0, 0, 0
  .byte 3, 0, 3, 3, 0, 3, 48, 24, 96
  .byte 48, 24, 96, 0, 0, 0, 0, 0, 0
  .byte 6, 0, 0, 6, 0, 24, 0, 24, 24
  .byte 0, 24, 0, 0, 0, 0, 0, 0, 0
  .byte 48, 6, 0, 48, 198, 48, 0, 192, 48
  .byte 0, 0, 0, 0, 0, 6, 12, 12, 6, 0
  
; 14: snow 9-1  
  .byte 0, 0, 6, 12, 12, 6, 12, 12, 96
  .byte 0, 0, 96, 0, 0, 0, 3, 0, 3
  .byte 3, 0, 3, 48, 24, 96, 48, 24, 96
  .byte 0, 0, 0, 0, 0, 0, 3, 0, 0
  .byte 3, 0, 12, 0, 24, 12, 0, 24, 0
  .byte 0, 0, 0, 0, 0, 0, 48, 6, 0
  .byte 48, 198, 48, 0, 192, 48, 0, 0, 0, 0
  
; 15: snow 10-1
  .byte 0, 192, 48, 0, 0, 0, 0, 0, 6
  .byte 12, 12, 6, 12, 12, 96, 0, 0, 96
  .byte 0, 0, 0, 3, 0, 3, 3, 0, 3
  .byte 48, 24, 192, 48, 24, 192, 0, 0, 0  
  .byte 0, 0, 0, 6, 0, 0, 6, 0, 12
  .byte 0, 24, 12, 0, 24, 0, 0, 0, 0
  .byte 0, 0, 0, 48, 6, 0, 48, 198, 48, 0
  
; 16: snow 11-1
  .byte 48, 12, 0, 49, 140, 96, 1, 128,96
  .byte 0, 0, 0, 0, 0, 6, 12, 12, 6
  .byte 12, 12, 96, 0, 0, 96, 0, 0, 0
  .byte 3, 0, 3, 3, 0, 3, 48, 24, 192
  .byte 48, 24, 192, 0, 0, 0, 0, 0, 0
  .byte 6, 0, 0, 6, 0, 12, 0, 24, 12
  .byte 0, 24, 0, 0, 0, 0, 0, 0, 0, 0 
             
 org $4400
  .incbin "b2.raw"
  
 org $4800     
  
; right up lights  
  .byte 0, 0, 0, 0, 0, 0, 4, 0, 0
  .byte 0, 128, 0, 0, 0, 0, 0, 32, 0 
  .byte 0, 0, 0, 0, 0, 0, 1, 8, 64  
  .byte 0, 0, 0, 0, 64, 8, 0, 0, 0
  .byte 0, 0, 0, 8, 0, 0, 0, 0, 16
  .byte 0, 2, 0, 1, 0, 64, 0, 0, 0  
  .byte 0, 16, 0, 2, 0, 32, 0, 0, 0, 0  

 org $6000
 .incbin "b3.raw"



